Bug 507801 - Review Request: perl-XML-Parser-Lite-Tree - Lightweight XML tree builder
Review Request: perl-XML-Parser-Lite-Tree - Lightweight XML tree builder
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
: 515044 (view as bug list)
Depends On:
Blocks: 507805 515045 515046
  Show dependency treegraph
 
Reported: 2009-06-24 07:00 EDT by Michal Ingeli
Modified: 2009-08-17 20:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.09-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-08 15:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ingeli 2009-06-24 07:00:50 EDT
Spec URL: http://v3.sk/~xyzz/rpm/f11/perl-XML-Parser-Lite-Tree.spec
SRPM URL: http://v3.sk/~xyzz/rpm/f11/perl-XML-Parser-Lite-Tree-0.08-1.fc11.src.rpm
Description: Simple XML tree builder. Dependency for flickr.com API module.
Comment 1 Lubomir Rintel 2009-06-26 08:58:26 EDT
1.) Licensing

README states "License: Perl Artistic License" (which sounds bad as it's not clear if GPL is permitted as well)m while XML::Parser::LiteCopy manual reads "This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself." (which is good). Please ask upstream for clarification.

2.) Please remove Require: perl(Test::More) dependency, the runtime does not depend on the testing framework.
Comment 2 Lubomir Rintel 2009-06-26 09:07:34 EDT
* name is well according to the guidelines
* source matches upstream
* clean and legible SPEC file, American English
* runs testsuite
* builds file in mock
* filelists, documentation ok

Needs work:
- sane provides/requires
- license ok
Comment 3 Lubomir Rintel 2009-06-26 09:07:54 EDT
* rpmlint is quiet
Comment 4 Michal Ingeli 2009-08-01 03:09:50 EDT
(In reply to comment #2)
> Needs work:
> - sane provides/requires
Fixed

> - license ok  
Corrected by upstream

Spec URL: http://v3.sk/~xyzz/rpm/f11/perl-XML-Parser-Lite-Tree.spec
SRPM URL: http://v3.sk/~xyzz/rpm/f11/perl-XML-Parser-Lite-Tree-0.09-1.fc11.src.rpm
Comment 5 Lubomir Rintel 2009-08-01 03:30:22 EDT
Perfect. Thanks!

APPROVED
Comment 6 Jason Tibbitts 2009-08-01 11:43:38 EDT
*** Bug 515044 has been marked as a duplicate of this bug. ***
Comment 7 Michal Ingeli 2009-08-01 16:41:26 EDT
New Package CVS Request
=======================
Package Name: perl-XML-Parser-Lite-Tree
Short Description: Lightweight XML tree builder
Owners: ksyz
Branches: F-11 EL-5
InitialCC:
Comment 8 Jason Tibbitts 2009-08-01 17:18:54 EDT
CVS done.
Comment 9 Fedora Update System 2009-08-06 17:16:55 EDT
perl-XML-Parser-Lite-Tree-0.09-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-XML-Parser-Lite-Tree-0.09-1.el5
Comment 10 Fedora Update System 2009-08-08 15:32:02 EDT
perl-XML-Parser-Lite-Tree-0.09-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-08-17 20:23:55 EDT
perl-XML-Parser-Lite-Tree-0.09-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.